|  | Home · All Classes · Modules

# Qt.ImageConversionFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, ImageConversionFlags f)
- __init__ (self, int f)
- __init__ (self)

### Special Methods

- ImageConversionFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ImageConversionFlags f)
- ImageConversionFlags __iand__ (self, int mask)
- int __int__ (self)
- ImageConversionFlags __invert__ (self)
- ImageConversionFlags __ior__ (self, ImageConversionFlags f)
- ImageConversionFlags __ixor__ (self, ImageConversionFlags f)
- bool __ne__ (self, ImageConversionFlags f)
- ImageConversionFlags __or__ (self, ImageConversionFlags f)
- ImageConversionFlags __xor__ (self, ImageConversionFlags f)

## Detailed Description

ImageConversionFlag may be used whenever ImageConversionFlags is expected.

## Method Documentation

### ImageConversionFlags.__init__ (self, ImageConversionFlags f)

### ImageConversionFlags.__init__ (self, int f)

### ImageConversionFlags.__init__ (self)

### ImageConversionFlags ImageConversionFlags.__and__ (self, int mask)

### int ImageConversionFlags.__bool__ (self)

### bool ImageConversionFlags.__eq__ (self, ImageConversionFlags f)

### ImageConversionFlags ImageConversionFlags.__iand__ (self, int mask)

### int ImageConversionFlags.__int__ (self)

### ImageConversionFlags ImageConversionFlags.__invert__ (self)

### ImageConversionFlags ImageConversionFlags.__ior__ (self, ImageConversionFlags f)

### ImageConversionFlags ImageConversionFlags.__ixor__ (self, ImageConversionFlags f)

### bool ImageConversionFlags.__ne__ (self, ImageConversionFlags f)

### ImageConversionFlags ImageConversionFlags.__or__ (self, ImageConversionFlags f)

### ImageConversionFlags ImageConversionFlags.__xor__ (self, ImageConversionFlags f)